#ifndef __GAMETRIGGER_H__
#define __GAMETRIGGER_H__

#include <vector>

using std::vector;

class GameAction;

class GameTrigger
{
public:
  GameTrigger(GameAction *action);
  ~GameTrigger();
  virtual bool test() = 0;
  void setAction(GameAction *action);

protected:
  GameAction *action;
};

class NoAmmoTrigger : public GameTrigger
{
public:
  NoAmmoTrigger(GameAction *action);
  bool test();
};

class NoSilosTrigger : public GameTrigger
{
public:
  NoSilosTrigger(GameAction *action);
  bool test();
};

class TimerUpTrigger : public GameTrigger
{
public:
  TimerUpTrigger(GameAction *action);
  bool test();
};

#endif
